Debian Bug report logs - #544192
Please add debian-live pseudo package

Package: bugs.debian.org; Maintainer for bugs.debian.org is Debian Bug Tracking Team <owner@bugs.debian.org>;

Reported by: daniel@debian.org

Date: Sat, 29 Aug 2009 13:30:02 UTC

Owned by: Debian Live <debian-live@lists.debian.org>

Severity: wishlist

Tags: moreinfo

Done: Don Armstrong <don@debian.org>

Bug is archived. No further changes may be made.

Outlook: Need the proper name of the pseudopackage; debian-live is not ideal. live.debian.org or live.debian.net?

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>:
Bug#544192; Package bugs.debian.org. (Sat, 29 Aug 2009 13:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
New Bug report received and forwarded. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>. (Sat, 29 Aug 2009 13:30:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please add debian-live pseudo package
Date: Sat, 29 Aug 2009 15:13:40 +0200
Package: bugs.debian.org
Severity: wishlist
Owner: Debian Live <debian-live@lists.debian.org>

Hi,

please add a debian-live pseudo package in the bug tracking system in
order the debian-live team to better handle bugs that are not directly
related to either live-helper or live-initramfs.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>:
Bug#544192; Package bugs.debian.org. (Sat, 29 Aug 2009 20:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to owner@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>. (Sat, 29 Aug 2009 20:36:04 GMT) Full text and rfc822 format available.

Message #10 received at 544192@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: daniel@debian.org, 544192@bugs.debian.org
Subject: Re: Bug#544192: Please add debian-live pseudo package
Date: Sat, 29 Aug 2009 13:32:23 -0700
tag 544192 moreinfo
thanks

On Sat, 29 Aug 2009, Daniel Baumann wrote:
> please add a debian-live pseudo package in the bug tracking system
> in order the debian-live team to better handle bugs that are not
> directly related to either live-helper or live-initramfs.

Please send this bug a list of the bugs (or ideally, a set of bugs
which are tagged with a specific usertag) you propose to have assigned
to the debian-live psuedopackage.

I also need a sentence which describes the type of bugs which would be
assigned to the pseudopackage (as seen in the list of pseudopackages.)

I should also note that the pseudopackage should ideally have a name
that won't possibly be used by a normal package; debian-live doesn't
quite fit the bill, IMO.


Don Armstrong

-- 
I may not have gone where I intended to go, but I think I have ended
up where I needed to be.
 -- Douglas Adams _The Long Dark Tea-Time of the Soul_

http://www.donarmstrong.com              http://rzlab.ucr.edu




Added tag(s) moreinfo. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Sat, 29 Aug 2009 20:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>:
Bug#544192; Package bugs.debian.org. (Sun, 30 Aug 2009 08:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>. (Sun, 30 Aug 2009 08:09:07 GMT) Full text and rfc822 format available.

Message #17 received at 544192@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: owner@bugs.debian.org
Cc: 544192@bugs.debian.org
Subject: Re: Bug#544192: Please add debian-live pseudo package
Date: Sun, 30 Aug 2009 09:57:30 +0200
Don Armstrong wrote:
> Please send this bug a list of the bugs (or ideally, a set of bugs
> which are tagged with a specific usertag) you propose to have assigned
> to the debian-live psuedopackage.

#517444

> I also need a sentence which describes the type of bugs which would be
> assigned to the pseudopackage (as seen in the list of pseudopackages.)

General problems on live systems

> I should also note that the pseudopackage should ideally have a name
> that won't possibly be used by a normal package; debian-live doesn't
> quite fit the bill, IMO.

there is no 'debian-live' package and there will be no 'debian-live'
package. packages of the debian live project are named life-${foo}.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>:
Bug#544192; Package bugs.debian.org. (Tue, 08 Feb 2011 15:42:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synergism@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>. (Tue, 08 Feb 2011 15:42:12 GMT) Full text and rfc822 format available.

Message #22 received at 544192@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synergism@gmail.com>
To: 544192@bugs.debian.org
Cc: Don Armstrong <don@debian.org>
Subject: Building a case for the need for a debian-live pseudopackage
Date: Tue, 08 Feb 2011 11:40:28 -0400
Hi,

#612330 and #612359 provide more evidence a pseudopackage to collect
such reports is needed. Please note, Don, that after triaging, these
have been reassigned to the packages that need to be fixed, so it is
hard to do as you have asked, and give a list of bugs that would be
assigned today to this pseudopackage. But historically, we have had a
number of such bugs.

The pseudopackage would serve as an entry point to collect reports from
end users against official Debian live images, which could cover a whole
host of possible problems, from the boot loader, to the installer, to
the kernel and X, or as is sometimes the case, to a component that we
maintain.

As for the psuedopackage name, since debian-live is the project that
produces the live images, it is logical that debian-live should be the
name of the pseudopackage to collect reports about problems with them.
It is so logical, in fact, that it is assumed by some to be there already:

http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=7;bug=612330#7

As for a sentence to describe the pseudopackage, I'm not entirely happy
with "General problems on live systems" which sounds a bit broad to me,
and would propose instead:

"User reports for official Debian Live images."

We want to encourage users if they have a problem with a self-built or
third-party-built image to try to reproduce it on the official images,
otherwise what we may be debugging is the image creator's configuration,
not any package in Debian. (Inevitably, some users will file such bugs
here anyway, but at least by describing the pseudopackage this way, we
steer them in the right direction.)

Ben






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>:
Bug#544192; Package bugs.debian.org. (Tue, 08 Feb 2011 21:15:03 GMT) Full text and rfc822 format available.

Message #25 received at 544192@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: Ben Armstrong <synergism@gmail.com>, 544192@bugs.debian.org
Subject: Re: Bug#544192: Building a case for the need for a debian-live pseudopackage
Date: Tue, 8 Feb 2011 13:13:15 -0800
On Tue, 08 Feb 2011, Ben Armstrong wrote:
> #612330 and #612359 provide more evidence a pseudopackage to collect
> such reports is needed. Please note, Don, that after triaging, these
> have been reassigned to the packages that need to be fixed, so it is
> hard to do as you have asked, and give a list of bugs that would be
> assigned today to this pseudopackage. But historically, we have had
> a number of such bugs.

Pseudopackages are used as a place for bugs which have no other home.
In these cases, there is a specific home for the bug (live-boot,
live-build, live-magic, or perhaps some other package entirely).

From my perspective, it seems like one of live-boot or live-build
could be the entry point for these bugs, and then they could be
assigned to the appropriate package.

> As for the psuedopackage name, since debian-live is the project that
> produces the live images, it is logical that debian-live should be
> the name of the pseudopackage to collect reports about problems with
> them.

The name seems logical, but it means that from this point forward, no
one will be able to create a package called debian-live. Because
debian-live sounds like the name of a package that the debian-live
project would want to create at some point, it isn't clear to me that
this has been properly considered.


Don Armstrong

-- 
Religion is religion, however you wrap it, and like Quell says, a
preoccupation with the next world clearly signals an inability to cope
credibly with this one.
 -- Richard K. Morgan "Broken Angels" p65

http://www.donarmstrong.com              http://rzlab.ucr.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>:
Bug#544192; Package bugs.debian.org. (Tue, 08 Feb 2011 21:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>. (Tue, 08 Feb 2011 21:30:06 GMT) Full text and rfc822 format available.

Message #30 received at 544192@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 544192@bugs.debian.org
Cc: owner@bugs.debian.org
Subject: Re: Building a case for the need for a debian-live pseudopackage
Date: Tue, 8 Feb 2011 15:27:13 -0600
Don Armstrong wrote:

> Pseudopackages are used as a place for bugs which have no other home.
> In these cases, there is a specific home for the bug (live-boot,
> live-build, live-magic, or perhaps some other package entirely).

Sounds somewhat analogous to the case of debian-installer, which uses
pseudopackage installation-reports as a "front desk" for bugs that
have not been assigned to some specific component.

> From my perspective, it seems like one of live-boot or live-build
> could be the entry point for these bugs, and then they could be
> assigned to the appropriate package.

For problems using the live-build scripts, live-build is the right
package to file against.  For problems (which may occur after boot
time) with the supplied livecds, isn't something else appropriate?

> The name seems logical, but it means that from this point forward, no
> one will be able to create a package called debian-live.

That seems like an unfortunate limitation, but useful to keep in mind.

I suppose the ideal thing would be to rename http://live.debian.net to
live.debian.org and use that as the package name. :)

Thanks for your thoughtfulness.
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>:
Bug#544192; Package bugs.debian.org. (Tue, 08 Feb 2011 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>. (Tue, 08 Feb 2011 22:03:03 GMT) Full text and rfc822 format available.

Message #35 received at 544192@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synergism@gmail.com>
To: owner@bugs.debian.org
Cc: Don Armstrong <don@debian.org>, 544192@bugs.debian.org
Subject: Re: Bug#544192: Building a case for the need for a debian-live pseudopackage
Date: Tue, 08 Feb 2011 17:59:25 -0400
On 08/02/11 05:13 PM, Don Armstrong wrote:
> Pseudopackages are used as a place for bugs which have no other home.
> In these cases, there is a specific home for the bug (live-boot,
> live-build, live-magic, or perhaps some other package entirely).

I was thinking of something along the lines of installation-reports.

> From my perspective, it seems like one of live-boot or live-build
> could be the entry point for these bugs, and then they could be
> assigned to the appropriate package.

Since live systems are complex products of these packages and are not
these packages themselves, I still don't see what distinguishes this
from the case of installation-reports. It is the live system itself that
breaks when someone reports a bug. Aren't those reports used as an entry
point and then sometimes the bug is reassigned elsewhere? Or is a new,
separate bug filed when they find the root cause?

> The name seems logical, but it means that from this point forward, no
> one will be able to create a package called debian-live. Because
> debian-live sounds like the name of a package that the debian-live
> project would want to create at some point, it isn't clear to me that
> this has been properly considered.

I see. Well, imagination fails me right now (somehow "live-reports"
seems not quite right, either, not without a formal reporting mechanism
that would collect and summarize some useful information as
installation-reports has) but we'll think about it.

Thanks,
Ben




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>:
Bug#544192; Package bugs.debian.org. (Tue, 08 Feb 2011 22:27:03 GMT) Full text and rfc822 format available.

Message #38 received at 544192@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 544192@bugs.debian.org
Subject: Re: Building a case for the need for a debian-live pseudopackage
Date: Tue, 8 Feb 2011 14:22:34 -0800
On Tue, 08 Feb 2011, Jonathan Nieder wrote:
> Don Armstrong wrote:
> > Pseudopackages are used as a place for bugs which have no other
> > home. In these cases, there is a specific home for the bug
> > (live-boot, live-build, live-magic, or perhaps some other package
> > entirely).
> 
> Sounds somewhat analogous to the case of debian-installer, which
> uses pseudopackage installation-reports as a "front desk" for bugs
> that have not been assigned to some specific component.

Right, but there are significant numbers of installation reports which
don't end up in bugs being filed, or require significant additional
research before the actual bug can be identified. That's not (yet?)
the case for the debian live project.
 
> For problems using the live-build scripts, live-build is the right
> package to file against. For problems (which may occur after boot
> time) with the supplied livecds, isn't something else appropriate?

Sure, but in those cases, you'd file a bug against that particular
package that was failing.
 

Don Armstrong

-- 
Guns Don't Kill People.
*I* Kill People.

http://www.donarmstrong.com              http://rzlab.ucr.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>:
Bug#544192; Package bugs.debian.org. (Tue, 08 Feb 2011 22:36:06 GMT) Full text and rfc822 format available.

Message #41 received at 544192@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>, 544192@bugs.debian.org
Subject: Re: Bug#544192: Building a case for the need for a debian-live pseudopackage
Date: Tue, 8 Feb 2011 14:32:23 -0800
On Tue, 08 Feb 2011, Ben Armstrong wrote:
> Aren't [installation-reports] used as an entry point and then
> sometimes the bug is reassigned elsewhere? Or is a new, separate bug
> filed when they find the root cause?

They probably should be assigned elsewhere, but there are significant
numbers of bugs which require additional research, or do not end up
being reassigned anywhere else. If the number of bugs was getting into
the 30-50s range, or if a framework was developed to report the bugs
in some sort of automated fashion where you anticipated getting large
numbers of bugs that needed to be triaged, then that would address my
concerns.


Don Armstrong

-- 
"She decided what she wished to happen and then assumed that reality
would bend to her wishes." [...] "Reality doesn't indulge wishes."
 -- Terry Goodkind _Phantom_ p133

http://www.donarmstrong.com              http://rzlab.ucr.edu




Message sent on to daniel@debian.org:
Bug#544192. (Fri, 13 Jan 2012 05:00:08 GMT) Full text and rfc822 format available.

Message #44 received at 544192-submitter@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: 544192-subscribe@bugs.debian.org, 544192-submitter@bugs.debian.org
Subject: Support
Date: Thu, 12 Jan 2012 23:56:08 -0500
[Message part 1 (text/plain, inline)]
Don Armstrong wrote:
> On Tue, 08 Feb 2011, Ben Armstrong wrote:
> >  Aren't [installation-reports] used as an entry point and then
> >  sometimes the bug is reassigned elsewhere? Or is a new, separate bug
> >  filed when they find the root cause?
>
> They probably should be assigned elsewhere, but there are significant
> numbers of bugs which require additional research, or do not end up
> being reassigned anywhere else. If the number of bugs was getting into
> the 30-50s range, or if a framework was developed to report the bugs
> in some sort of automated fashion where you anticipated getting large
> numbers of bugs that needed to be triaged, then that would address my
> concerns.

I have personally submitted 4 reports of bugs experienced with official 
Debian Live images without knowing which package was faulty: #515718, 
#515721, #612330 and #612359.
If that is more than a tenth of the totality of such reports, I almost 
hope this won't continue for a long time.

The best advice on reporting bugs in Debian Live currently says:

> In general, you should report build time errors against the 
> /live-build/ package, boot time errors against /live-boot/, and run 
> time errors against /live-config/. If you are unsure of which package 
> is appropriate or need more help before submitting a bug report, 
> please send a message to the mailing list and we will help you to 
> figure it out. 
http://live.debian.net/manual/html/bugs.en.html#622

Having users rely on our availability to be able to report our own bugs 
is unacceptable. I reported the above against general, but if I had used 
the above hints, I would have reported:

 * #515718 against live-config
 * #515721 against live-boot
 * #612330 against live-config
 * #612359 against live-boot

However, if I trust the reassigns that happened later, none of that 
would have been right. The reports were respectively reassigned to 
live-boot, live-build, live-build and syslinux-themes-debian. So in fact 
just one of the right packages is either live-boot or live-config. If 
this small sample is representative, we would benefit a lot from a 
front-line pseudo-package.

Also, the value of the pseudo-package for development is not the only 
value the pseudo-package would have. Issue reports are largely useful as 
documentation for users too. Having a pseudo-package would be a great 
help to users who consult the BTS and have no clue which package to look 
at in the current situation.

I am at best marginally involved in the Debian Live project, but 
otherwise I strongly support this request. Finding a description is 
non-trivial. I suggest:
Problems which affect Debian Live specifically or particularly. Most 
reports of Debian Live bugs should only be assigned to the faulty real 
package if that package is known.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>:
Bug#544192; Package bugs.debian.org. (Fri, 20 Jul 2012 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>. (Fri, 20 Jul 2012 22:33:03 GMT) Full text and rfc822 format available.

Message #49 received at 544192@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Don Armstrong <don@debian.org>
Cc: 544192@bugs.debian.org
Subject: Re: Please add debian-live pseudo package
Date: Sat, 21 Jul 2012 00:18:49 +0200
Hi,

after re-reading again trough this bug as i do every year that's passing
by..

as the tag moreinfo suggests, what exactely is left open that you
require to know from us in order to be able to create the pseudo package?

Regards,
Daniel

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>:
Bug#544192; Package bugs.debian.org. (Fri, 20 Jul 2012 22:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>. (Fri, 20 Jul 2012 22:39:03 GMT) Full text and rfc822 format available.

Message #54 received at 544192@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: Daniel Baumann <daniel.baumann@progress-technologies.net>
Cc: 544192@bugs.debian.org
Subject: Re: Please add debian-live pseudo package
Date: Fri, 20 Jul 2012 15:31:06 -0700
outlook 544192 Need the proper name of the pseudopackage; debian-live is not ideal. live.debian.org or live.debian.net?
thanks

On Sat, 21 Jul 2012, Daniel Baumann wrote:
> after re-reading again trough this bug as i do every year that's passing
> by..
> 
> as the tag moreinfo suggests, what exactely is left open that you
> require to know from us in order to be able to create the pseudo package?

The last time I touched this, no one had decided what the name of the
actual pseudo package was going to be. See
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=544192#25


Don Armstrong

-- 
We must realize that today's Establishment is the New George III.
Whether it will continue to adhere to his tactics, we do not know. If
it does, the redress, honored in tradition, is also revolution.
 -- William O. Douglas _Points of Rebellion_

http://www.donarmstrong.com              http://rzlab.ucr.edu



Outlook recorded from message bug 544192 message Request was from Don Armstrong <don@donarmstrong.com> to control@bugs.debian.org. (Fri, 20 Jul 2012 22:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>:
Bug#544192; Package bugs.debian.org. (Sat, 21 Jul 2012 00:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>. (Sat, 21 Jul 2012 00:45:03 GMT) Full text and rfc822 format available.

Message #61 received at 544192@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Don Armstrong <don@donarmstrong.com>
Cc: 544192@bugs.debian.org
Subject: Re: Bug#544192: Please add debian-live pseudo package
Date: Sat, 21 Jul 2012 02:43:13 +0200
On 07/21/2012 12:31 AM, Don Armstrong wrote:
> The last time I touched this, no one had decided what the name of the
> actual pseudo package was going to be. See
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=544192#25

why excately is 'debian-live' not ideal? we already ruled your suspicion
of 'that could potentially be a package name' out, it isn't a package
name and never will be (debian-live tools are named live-* on purpose,
so that they are derivatives friendly).

if you insist on not using debian-live as name within the bts for a
pseudo-package, can we have live.debian.org then?

if we can't have live.debian.org without having the url first, let's
have live.debian.net then, as this is what we use since many years
consistently anywhere anyways.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>:
Bug#544192; Package bugs.debian.org. (Sat, 21 Jul 2012 01:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to owner@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>. (Sat, 21 Jul 2012 01:03:03 GMT) Full text and rfc822 format available.

Message #66 received at 544192@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: daniel.baumann@progress-technologies.net, 544192@bugs.debian.org
Cc: debian-live@lists.debian.org
Subject: Re: Bug#544192: Please add debian-live pseudo package
Date: Fri, 20 Jul 2012 17:59:02 -0700
On Sat, 21 Jul 2012, Daniel Baumann wrote:
> On 07/21/2012 12:31 AM, Don Armstrong wrote:
> > The last time I touched this, no one had decided what the name of the
> > actual pseudo package was going to be. See
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=544192#25
> 
> why exactly is 'debian-live' not ideal?

Because it sure sounds like a package name to me. I understand now
that you aren't planning on ever wanting to use it as a package name,
but it also means that no one else will ever be able to use it as a
package name.

> we already ruled your suspicion of 'that could potentially be a
> package name' out, it isn't a package name and never will be
> (debian-live tools are named live-* on purpose, so that they are
> derivatives friendly).

If you all are fine with it never being a package name in the future,
then that's fine by me. However, when I asked originally, it wasn't
clear to me that this had been considered.

> if you insist on not using debian-live as name within the bts for a
> pseudo-package, can we have live.debian.org then?

That's fine too.
 
> if we can't have live.debian.org without having the url first, let's
> have live.debian.net then, as this is what we use since many years
> consistently anywhere anyways.

This is also fine.

I'm also going to assume that the correct maintainer address for the
psuedopackage is debian-live@lists.debian.org?

And the description should be something like:

General problems with systems running Debian Live

Once the name is settled, I'll create the pseudopackage.


Don Armstrong

-- 
The carbon footprint of a single human being is enormous.
If you think about it, your honour,
I'm an environmentalist.
 -- a softer world #283
    http://www.asofterworld.com/index.php?id=283

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>:
Bug#544192; Package bugs.debian.org. (Sat, 21 Jul 2012 01:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>. (Sat, 21 Jul 2012 01:21:03 GMT) Full text and rfc822 format available.

Message #71 received at 544192@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Don Armstrong <don@debian.org>
Cc: 544192@bugs.debian.org, debian-live@lists.debian.org
Subject: Re: Bug#544192: Please add debian-live pseudo package
Date: Sat, 21 Jul 2012 03:18:02 +0200
On 07/21/2012 02:59 AM, Don Armstrong wrote:
> I understand now that you aren't planning on ever wanting to use it as a package name,

yes.

> but it also means that no one else will ever be able to use it as a
> package name.

that's ok.

in the past six years, we have consistently used 'debian-live' to refere
to the project, always and everywhere, and using this as a package name
does not ever make sense, not even in future :)

having said this already three years ago in the first reply in
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=544192#17
and, nothing changed since then, just shows that we really are sure of
not ever wanting to use a package called 'debian-live'.

hence, to word it explicitly again, our choice of name for the
pseudo-package would then be 'debian-live'.

> I'm also going to assume that the correct maintainer address for the
> psuedopackage is debian-live@lists.debian.org?

yes.

> And the description should be something like:
> 
> General problems with systems running Debian Live

since debian live is not a component of a system but more a type of
systems, it would probably make more sense to use the following wording:

  "General problems with Debian Live systems"

> Once the name is settled, I'll create the pseudopackage.

great, thanks.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Reply sent to owner@bugs.debian.org:
You have taken responsibility. (Sat, 21 Jul 2012 01:39:05 GMT) Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. (Sat, 21 Jul 2012 01:39:05 GMT) Full text and rfc822 format available.

Message #76 received at 544192-done@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 544192-done@bugs.debian.org
Subject: Re: Bug#544192: Please add debian-live pseudo package
Date: Fri, 20 Jul 2012 18:35:12 -0700
On Sat, 21 Jul 2012, Daniel Baumann wrote:
> > Once the name is settled, I'll create the pseudopackage.
> 
> great, thanks.

Created:

diff --git a/pseudo-packages.description b/pseudo-packages.description
index 1f28523..9b1bf4d 100644
--- a/pseudo-packages.description
+++ b/pseudo-packages.description
@@ -27,3 +27,4 @@ buildd.debian.org     Problems and requests related to the Debian Buildds
 debian-maintainers     Problems and requests related to Debian Maintainers
 snapshot.debian.org    Issues with the snapshot.debian.org service 
 sponsorship-requests   Requests for package review and sponsorship
+debian-live    General problems with Debian Live systems
diff --git a/pseudo-packages.maintainers b/pseudo-packages.maintainers
index d1ebd34..577c6cf 100644
--- a/pseudo-packages.maintainers
+++ b/pseudo-packages.maintainers
@@ -27,3 +27,4 @@ buildd.debian.org     Debian Buildd Team <wb-team@buildd.debian.org>
 debian-maintainers     Debian Maintainer Keyring Team <debian-maintainers@nm.debian.org>
 snapshot.debian.org    snapshot.debian.org Team <debian-snapshot@lists.debian.org>
 sponsorship-requests   Debian Mentors <debian-mentors@lists.debian.org>
+debian-live    Debian Live Project <debian-live@lists.debian.org>
 


Don Armstrong

-- 
Something the junk advertisers don't seem to understand: we live in an
information super-saturated world. If I don't want to buy something,
no amount of shouting or propagandizing will budge me; all it will do
is get me annoyed. On the other hand, if I have a need for your
product, I can seek it out in an eyeblink.
 -- Charles Stross "Toast: A Con Report" in _Toast_ p136

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>:
Bug#544192; Package bugs.debian.org. (Thu, 26 Jul 2012 01:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>. (Thu, 26 Jul 2012 01:00:02 GMT) Full text and rfc822 format available.

Message #81 received at 544192@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: 544192@bugs.debian.org
Subject: Re: Bug#544192: Please add debian-live pseudo package
Date: Wed, 25 Jul 2012 20:55:44 -0400
On 2012-07-20 18:31, Don Armstrong wrote:
> outlook 544192 Need the proper name of the pseudopackage; debian-live is not ideal. live.debian.org or live.debian.net?
> thanks
>
> On Sat, 21 Jul 2012, Daniel Baumann wrote:
>> after re-reading again trough this bug as i do every year that's passing
>> by..
>>
>> as the tag moreinfo suggests, what exactely is left open that you
>> require to know from us in order to be able to create the pseudo package?
> The last time I touched this, no one had decided what the name of the
> actual pseudo package was going to be. See
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=544192#25

That doesn't justify having tagged the report moreinfo. The report 
requests a category for Debian Live issues, without putting any 
constraint on the name.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>:
Bug#544192; Package bugs.debian.org. (Thu, 26 Jul 2012 01:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>. (Thu, 26 Jul 2012 01:06:03 GMT) Full text and rfc822 format available.

Message #86 received at 544192@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: 544192@bugs.debian.org
Cc: debian-live@lists.debian.org
Subject: Re: Bug#544192: Please add debian-live pseudo package
Date: Wed, 25 Jul 2012 21:01:44 -0400
On 2012-07-20 20:59, Don Armstrong wrote:
> On Sat, 21 Jul 2012, Daniel Baumann wrote:
>> On 07/21/2012 12:31 AM, Don Armstrong wrote:
>> [...] 
>> if we can't have live.debian.org without having the url first, let's
>> have live.debian.net then, as this is what we use since many years
>> consistently anywhere anyways.
> This is also fine.
>
> I'm also going to assume that the correct maintainer address for the
> psuedopackage is debian-live@lists.debian.org?
>
> And the description should be something like:
>
> General problems with systems running Debian Live

Please see the previous suggestion, this is pretty much the opposite. 
What would be the difference between that and "Problems with systems 
running Debian Live" anyway?

>
> Once the name is settled, I'll create the pseudopackage.
>
>

live.debian.* suggests the category is for issues with a domain.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>:
Bug#544192; Package bugs.debian.org. (Thu, 26 Jul 2012 01:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>. (Thu, 26 Jul 2012 01:45:03 GMT) Full text and rfc822 format available.

Message #91 received at 544192@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Filipus Klutiero <chealer@gmail.com>
Cc: 544192@bugs.debian.org
Subject: Re: Bug#544192: Please add debian-live pseudo package
Date: Thu, 26 Jul 2012 03:39:35 +0200
On 07/26/2012 02:55 AM, Filipus Klutiero wrote:
> That doesn't justify having tagged the report moreinfo.

the maintainer (here owner@b.d.o) does not need to justify his own usage
of descriptive bug tags such as moreinfo, and can use them how he see
fit for his own best way of triaging bugs.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>:
Bug#544192; Package bugs.debian.org. (Thu, 26 Jul 2012 02:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>. (Thu, 26 Jul 2012 02:06:02 GMT) Full text and rfc822 format available.

Message #96 received at 544192@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: 544192@bugs.debian.org
Subject: Re: Bug#544192: Please add debian-live pseudo package
Date: Wed, 25 Jul 2012 22:02:22 -0400
Hi Daniel,

On 2012-07-25 21:39, Daniel Baumann wrote:
> On 07/26/2012 02:55 AM, Filipus Klutiero wrote:
>> That doesn't justify having tagged the report moreinfo.
> the maintainer (here owner@b.d.o) does not need to justify his own usage
> of descriptive bug tags such as moreinfo, and can use them how he see
> fit for his own best way of triaging bugs.
>
No, the moreinfo tag is public and has a defined meaning (see 
http://www.debian.org/Bugs/Developer#tags ).



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>:
Bug#544192; Package bugs.debian.org. (Thu, 26 Jul 2012 13:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>. (Thu, 26 Jul 2012 13:18:03 GMT) Full text and rfc822 format available.

Message #101 received at 544192@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Filipus Klutiero <chealer@gmail.com>
Cc: 544192@bugs.debian.org
Subject: Re: Bug#544192: Please add debian-live pseudo package
Date: Thu, 26 Jul 2012 15:14:26 +0200
On 07/26/2012 04:02 AM, Filipus Klutiero wrote:
> No, the moreinfo tag is public and has a defined meaning

and can be used at the maintainers descretion, just as almost anything
else in the bts.

anyhow, we got the pseudo-package, so i don't know what you're actualy
'complaining' about, and honestly, i don't even care (the bug is fixed),
so that's the last message from me here.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>:
Bug#544192; Package bugs.debian.org. (Fri, 27 Jul 2012 21:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>, Debian Live <debian-live@lists.debian.org>. (Fri, 27 Jul 2012 21:51:03 GMT) Full text and rfc822 format available.

Message #106 received at 544192@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: daniel.baumann@progress-technologies.net
Cc: 544192@bugs.debian.org
Subject: Re: Bug#544192: Please add debian-live pseudo package
Date: Fri, 27 Jul 2012 17:46:18 -0400
Hi Daniel,

On 2012-07-26 09:14, Daniel Baumann wrote:
> On 07/26/2012 04:02 AM, Filipus Klutiero wrote:
>> No, the moreinfo tag is public and has a defined meaning
> and can be used at the maintainers descretion, just as almost anything
> else in the bts.

There are no maintainers here. Besides, while judgment could be used if 
a tag's definition was relative, no one can decide the meaning of 
standard tags.
>
> anyhow, we got the pseudo-package, so i don't know what you're actualy
> 'complaining' about, and honestly, i don't even care (the bug is fixed),
> so that's the last message from me here.
>

I'm not complaining about anything, I was simply rectifying your 
understanding of how moreinfo works.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 25 Aug 2012 07:28:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:29:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.